Subject: Combine WGs for NAT66 discussion

From: "Eric Klein" <[email-masked]>
Date: Wed, 12 Nov 2008 16:43:23 +0200

Cross posted to several lists

Can we keep the NAT66 discussion to less than WGs at a time?

I am trying to keep up with multiple threads on this and trying to explain
that we do not have a valid requirement for NAT66 defined on any of the
mailing lists (v6OPS, BEHAVE, Softwires, RRG, and now v6).

Le's get this to one group (maybe we need a new mailing list just for NAT66
discussions, but this is getting out of hand.

Until now the simple response is that "the IETF does not support NAT in the
v6 architecture." If this needs changing lets do it right with proper gap
analysis and needs assement, and then seeing if there is a solution (several
have been proposed that are not NAT) or if we need to create one, and if
those fail then see about changing the architecture of IPv6.

Eric

On Fri, Oct 31, 2008 at 10:09 AM, Rémi Denis-Courmont <
[email-masked]> wrote:

>
> On Fri, 31 Oct 2008 15:31:27 +1300, Brian E Carpenter
> <[email-masked]> wrote:
> >> Well I'm not completely certain whether involving users here would
> >> provide very good experience,
> >
> > I see your argument, but failing silently doesn't seem like a
> > good idea.
>
> It is only worse. What will actually happen then is, NAPT66.
>
> >> and certainly operators would not be happy
> >> to see vendors' devices complaining about limitations of their network:)
> >
> > Too bad. This is actually a consumer protection issue;
> > it seems completely appropriate to require that the
> > reason for failure should be notified to the paying user.
>
> Failing silently or loudly are no options. You cannot blame the operator if
> you expect him to subsidized your device sale. You cannot fail if your
> competitor "just works" by using NAPT66.
>
> Unfortunately, users are notoriously bad at appreciating good and clean
> engineering over functional and ugly hacks.
>
> >> I would not like to see IPv6 NAPT, but I see that as a real risk if
> >> network is using DHCPv6 for allocating hosts just /128 addresses but at
> >> the same time is not willing to delegate prefixes on demand.
> >
> > Agreed.
>
> Pardon my ignorance. Is there a concrete case of this in some access
> network standard?
> (I heard some rumors thereabout)
>
> --
> Rémi Denis-Courmont
>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>
--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------